Bug 12405 - rpc_query_user_list() returns NT_STATUS_NO_MEMORY if there are no users to enumerate
rpc_query_user_list() returns NT_STATUS_NO_MEMORY if there are no users to en...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-02 16:17 UTC by Andreas Schneider
Modified: 2016-11-07 07:52 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.5 (1.21 KB, patch)
2016-11-03 07:48 UTC, Andreas Schneider
jra: review+
Details
patch for 4.4 (1.21 KB, patch)
2016-11-03 07:48 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-11-02 16:17:42 UTC
rpc_query_user_list() returns NT_STATUS_NO_MEMORY for the MACHINE ACCOUNT child if there are no users to enumerate.

It should return successfully with an emtpy list. Patch will follow.
Comment 1 Andreas Schneider 2016-11-03 07:48:21 UTC
Created attachment 12628 [details]
patch for 4.5
Comment 2 Andreas Schneider 2016-11-03 07:48:56 UTC
Created attachment 12629 [details]
patch for 4.4
Comment 3 Jeremy Allison 2016-11-03 21:08:39 UTC
Re-assigning to Karolin for inclusion in 4.5.next, 4.4.next.
Comment 4 Karolin Seeger 2016-11-04 10:42:08 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{5,4}-test.
Comment 5 Karolin Seeger 2016-11-07 07:52:55 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!